Members
Members of organizations
The member object
Attributes
iduuidUnique identifier
created_atread-onlytimestamp with time zoneCreation timestamp
updated_atread-onlytimestamp with time zoneLast modification timestamp
roleRoleRole of the member
Related resources
Embed related resources in the response with the select parameter, for example select=*,organizations(*). Resources related through more than one column need the column as a hint, like table!column(*).
permissions(*)arrayThe permissions referencing this member through permissions.member_id.
task_assignees(*)arrayThe task assignees referencing this member through task_assignees.member_id.
task_template_assignees(*)arrayThe task template assignees referencing this member through task_template_assignees.member_id.
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"user_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.301Z",
"updated_at": "2026-10-30T22:27:57.301Z",
"role": "user"
}curl -X GET "https://api.bookingmood.com/v1/members?limit=10&select=*,organizations(*),user_profiles(*)" \
-H "Authorization: Bearer YOUR_API_KEY"List members
Filters
idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
roleFilter<Role>Role of the member
Responses
200A list of members with the selected columns
206Partial Content
400The request is malformed, for example an unknown column or an invalid filter.
401The API key is missing or invalid.
code, message, details and hint. See the introduction for more on errors.GET /memberscurl -X GET "https://api.bookingmood.com/v1/members?select=*&limit=10" \
-H "Authorization: Bearer YOUR_API_KEY"[
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"user_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.301Z",
"updated_at": "2026-10-30T22:27:57.301Z",
"role": "user"
}
]Invite member
Invite a member to your organization. The member will receive an email with a link to accept the invitation. The member will have the user role. To make a member admin or superuser use the dashboard.
Body
emailrequiredstringThe email address of the member to invite.
languageLanguageThe member's preferred language.
namestringThe name of the member to invite.
Responses
201The invited member with user profile information
POST /memberscurl -X POST "https://api.bookingmood.com/v1/members" \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"email": "johndoe@example.com",
"name": "John Doe"
}'{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"user_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.301Z",
"updated_at": "2026-10-30T22:27:57.301Z",
"role": "user",
"user_profile": {
"referrer_id": "00000000-0000-0000-0000-000000000000",
"user_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-10-30T22:27:57.301Z",
"updated_at": "2026-10-30T22:27:57.301Z",
"avatar": "",
"email": "guest@example.com",
"first_week_contains_date": 0,
"language": "en-US",
"last_login_at": "2026-10-30T22:27:57.301Z",
"name": "Summer cottage",
"source": "",
"week_starts_on": 0
}
}Revoke member
Revoke a member from your organization. The member will no longer have access to your organization. Only works for members with the user role. To revoke an admin or superuser members use the dashboard.
Parameters
idrequireduuidThe identifier of the member to revoke.
Responses
200The deleted member
DELETE /memberscurl -X DELETE "https://api.bookingmood.com/v1/members?id=00000000-0000-0000-0000-000000000000" \
-H "Authorization: Bearer YOUR_API_KEY"